MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007327ardourbugspublic2017-04-21 03:572017-04-26 00:42
Reportertimbyr 
Assigned Totimbyr 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version5.8 
Target VersionFixed in Version5.X git (version in description) 
Summary0007327: Changing Track order in GUI modifies order of XML nodes in Session file
DescriptionTested with 5.8 and 5.8.533

To reproduce just change the order of the Tracks in the Editor and Save the Session. The order of the Route XML nodes will now correspond to the order in the Editor/Mixer.

I can't see a reason for this behaviour as the PresentationInfo class/node determines visual ordering.

I propose that we sort routes by Stateful::id like we do in some other areas to keep the order from changing unless there is a good reason not to do so.

I have a patch to change/fix this issue if the change seems correct (although it is a fairly trivial change to implement)
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0019638)
x42 (administrator)
2017-04-25 13:49

Even though XML is unordered, it makes sense to me to keep changes to the XML as small as possible (e.g. store session in git).

Did you determine why the order of the RCU RouteList changes to begin with?

It sounds wrong that changing the PresentationInfo of a Route would update the RouteList.
(0019639)
x42 (administrator)
2017-04-25 14:52

hah it's an explicit RoutePublicOrderSorter in Session::state() going all the way back to 2008.

Changing it to sort by PBD::id sounds like a good idea.
(0019642)
timbyr (developer)
2017-04-26 00:42

I've pushed a change to master as 3589740d69 that should fix this issue/feature. Included in a nightly build >= 5.8.594

Marking as resolved.

- Issue History
Date Modified Username Field Change
2017-04-21 03:57 timbyr New Issue
2017-04-25 13:49 x42 Note Added: 0019638
2017-04-25 14:52 x42 Note Added: 0019639
2017-04-26 00:42 timbyr Note Added: 0019642
2017-04-26 00:42 timbyr Status new => resolved
2017-04-26 00:42 timbyr Fixed in Version => 5.X git (version in description)
2017-04-26 00:42 timbyr Resolution open => fixed
2017-04-26 00:42 timbyr Assigned To => timbyr


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker